using UnityEngine;
using System.Collections;

public class StartUp : MonoBehaviour {


    
    public GUISkin skin2D;
    public GUISkin menuSkin;

    void OnGUI() {
        GUI.skin = skin2D;
        GUI.backgroundColor = Color.white;
        GUI.color = Color.white;

        //adjust for screen size
        GUI.skin.label.fontSize = 32;
        GUI.Box(new Rect(0, 0, Screen.width, GUI.skin.label.fontSize+6), "");
        GUI.Box(new Rect(0, Screen.height-14, Screen.width, 14), "");
        //left label: heading
        string heading = "Cubecatcher v" + globalVars.versionNumber.ToString();
        GUI.Label(new Rect(Screen.width * 0.5f - 250, 2, 500, GUI.skin.label.fontSize + 2), heading);

        GUI.skin = menuSkin;
        GUI.skin.label.fontSize = 24;
        string introText = "MOVEMENT\n Move the red cube with WASD or use the arrow keys.\n\nSCORING\nPickup cubes of the currently active color (=topbar color) to score.\nBeware of differently colored cubes!\nThe smaller the cubes, the higher their worth.\n\nPotatoes count 50 points!\n\n New cubes only spawn on correct hits, although potatoes may spawn on any hit.\n\nGOAL\nTry to reach the target score within the time limit.\n Press Enter or Space to start.";

        GUI.Label(new Rect(50, 100, Screen.width-100, 500), introText);


    }

    void Start() {
       globalVars.levelDifficulty = 1;
       globalVars.totalScore = 0;
    }

    void Update() {
         if (Input.GetKeyDown("return") || Input.GetKeyDown("space")) {
           Application.LoadLevel("Game");
        }
         if (Input.GetKeyDown("escape")) {
             Application.Quit();
         }
    }

    void checkForUpdates() {
        //get current version number from server 
        float currentVersion = 1.1f;
        if (globalVars.versionNumber < currentVersion) {
            //alert new version available
        }
    }


}


